package com.bytedance.ies.nle.editor_jni;

import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;

public class NLESegmentHDRFilter extends NLESegmentFilter {
    public transient long LIZIZ;
    public transient boolean LIZJ;

    static {
        Covode.recordClassIndex(29860);
    }

    public void finalize() {
        delete();
    }

    public NLESegmentHDRFilter() {
        this(NLEEditorJniJNI.new_NLESegmentHDRFilter());
        MethodCollector.i(17704);
        MethodCollector.o(17704);
    }

    public final String LIZLLL() {
        MethodCollector.i(19403);
        String NLESegmentHDRFilter_getFilePath = NLEEditorJniJNI.NLESegmentHDRFilter_getFilePath(this.LIZIZ, this);
        MethodCollector.o(19403);
        return NLESegmentHDRFilter_getFilePath;
    }

    public final int LJ() {
        MethodCollector.i(19405);
        int NLESegmentHDRFilter_getFrameType = NLEEditorJniJNI.NLESegmentHDRFilter_getFrameType(this.LIZIZ, this);
        MethodCollector.o(19405);
        return NLESegmentHDRFilter_getFrameType;
    }

    public final boolean LJFF() {
        MethodCollector.i(19407);
        boolean NLESegmentHDRFilter_getDenoise = NLEEditorJniJNI.NLESegmentHDRFilter_getDenoise(this.LIZIZ, this);
        MethodCollector.o(19407);
        return NLESegmentHDRFilter_getDenoise;
    }

    public final boolean LJIIIZ() {
        MethodCollector.i(17395);
        boolean NLESegmentHDRFilter_hasAsfMode = NLEEditorJniJNI.NLESegmentHDRFilter_hasAsfMode(this.LIZIZ, this);
        MethodCollector.o(17395);
        return NLESegmentHDRFilter_hasAsfMode;
    }

    public final int LJIIJ() {
        MethodCollector.i(17700);
        int NLESegmentHDRFilter_getAsfMode = NLEEditorJniJNI.NLESegmentHDRFilter_getAsfMode(this.LIZIZ, this);
        MethodCollector.o(17700);
        return NLESegmentHDRFilter_getAsfMode;
    }

    public final boolean LJIIJJI() {
        MethodCollector.i(17701);
        boolean NLESegmentHDRFilter_hasHdrMode = NLEEditorJniJNI.NLESegmentHDRFilter_hasHdrMode(this.LIZIZ, this);
        MethodCollector.o(17701);
        return NLESegmentHDRFilter_hasHdrMode;
    }

    public final int LJIIL() {
        MethodCollector.i(17703);
        int NLESegmentHDRFilter_getHdrMode = NLEEditorJniJNI.NLESegmentHDRFilter_getHdrMode(this.LIZIZ, this);
        MethodCollector.o(17703);
        return NLESegmentHDRFilter_getHdrMode;
    }

    public NLENode clone() {
        MethodCollector.i(19401);
        long NLESegmentHDRFilter_clone = NLEEditorJniJNI.NLESegmentHDRFilter_clone(this.LIZIZ, this);
        if (NLESegmentHDRFilter_clone == 0) {
            MethodCollector.o(19401);
            return null;
        }
        NLENode nLENode = new NLENode(NLESegmentHDRFilter_clone, true);
        MethodCollector.o(19401);
        return nLENode;
    }

    public synchronized void delete() {
        MethodCollector.i(19399);
        long j = this.LIZIZ;
        if (j != 0) {
            if (this.LIZJ) {
                this.LIZJ = false;
                NLEEditorJniJNI.delete_NLESegmentHDRFilter(j);
            }
            this.LIZIZ = 0;
        }
        super.delete();
        MethodCollector.o(19399);
    }

    public void swigSetCMemOwn(boolean z) {
        this.LIZJ = z;
        super.swigSetCMemOwn(z);
    }

    public final void LIZ(int i) {
        MethodCollector.i(19404);
        NLEEditorJniJNI.NLESegmentHDRFilter_setFrameType(this.LIZIZ, this, i);
        MethodCollector.o(19404);
    }

    public final void LIZIZ(int i) {
        MethodCollector.i(17596);
        NLEEditorJniJNI.NLESegmentHDRFilter_setAsfMode(this.LIZIZ, this, i);
        MethodCollector.o(17596);
    }

    public final void LIZJ(int i) {
        MethodCollector.i(17702);
        NLEEditorJniJNI.NLESegmentHDRFilter_setHdrMode(this.LIZIZ, this, i);
        MethodCollector.o(17702);
    }

    public NLESegmentHDRFilter(long j) {
        super(NLEEditorJniJNI.NLESegmentHDRFilter_SWIGSmartPtrUpcast(j));
        MethodCollector.i(19164);
        this.LIZJ = true;
        this.LIZIZ = j;
        MethodCollector.o(19164);
    }

    public static NLESegmentHDRFilter LIZ(NLENode nLENode) {
        NLESegmentHDRFilter nLESegmentHDRFilter;
        MethodCollector.i(19400);
        long NLESegmentHDRFilter_dynamicCast = NLEEditorJniJNI.NLESegmentHDRFilter_dynamicCast(NLENode.getCPtr(nLENode), nLENode);
        if (NLESegmentHDRFilter_dynamicCast == 0) {
            nLESegmentHDRFilter = null;
        } else {
            nLESegmentHDRFilter = new NLESegmentHDRFilter(NLESegmentHDRFilter_dynamicCast);
        }
        MethodCollector.o(19400);
        return nLESegmentHDRFilter;
    }

    public final void LIZIZ(boolean z) {
        MethodCollector.i(19406);
        NLEEditorJniJNI.NLESegmentHDRFilter_setDenoise(this.LIZIZ, this, z);
        MethodCollector.o(19406);
    }

    public final void LIZ(String str) {
        MethodCollector.i(19402);
        NLEEditorJniJNI.NLESegmentHDRFilter_setFilePath(this.LIZIZ, this, str);
        MethodCollector.o(19402);
    }
}
